---
include:
  - project: shore/ci-templates
    file: templates/pre-commit.yml
  - project: shore/ci-templates
    file: templates/docker.yml

stages:
  - test
  - build
  - deploy

build:
  extends: .compose-build
  tags: [ns4.shore.co.il]

run:
  extends: .compose-run
  tags: [ns4.shore.co.il]
  variables:
    HOSTNAME: registry.shore.co.il
